Pi Durable Platformdocs
ReferenceAgents, threads and templates

Create a team agent from a template (team editors and above)

POST
/v1/teams/{team}/agents

409 name_taken (names are unique within the team, ignoring case); 409 team_archived; 404 template_not_found. At most 50 per team.

Path Parameters

team*string

Team slug or ID

Request Body

application/json
  1. body
name*string
Lengthlength <= 100
description?string
Lengthlength <= 2000
template?string

A platform template's slug (default assistant), when templateId is not given

templateId?string

The template (from the catalog, or the team's own)

Formatuuid
modelId?string

A model published to the team (default the template's)

Formatuuid

Response Body

Created

application/json
  1. response
data*
curl -X POST 'https://agents.example.com/v1/teams/string/agents' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "teamName": "string",    "templateId": "196100ac-4eec-4fb6-a7f7-86c8b584771d",    "templateSlug": "string",    "templateName": "string",    "templateVersion": 0,    "templateCurrentVersion": 0,    "externalKey": "string",    "enabled": true,    "running": true,    "model": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "providerName": "string",      "source": "agent",      "available": true    },    "lastUsedAt": "2019-08-24T14:15:22Z",    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}